
D4Science Infrastructure - VM Creation #12989

 Please create a VM for new gCat Service

Dec 05, 2018 03:17 PM - Luca Frosini

Status: Closed Start date: Dec 05, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Resource Provisioning   

Infrastructure: Production Applications list and

version:

latest (i.e 1.0.0)

<groupId>org.gcube.data-publishing</gr

oupId>

<artifactId>gcat</artifactId>

RAM: 4 Applications context

path:

/gcat

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

gCat service is a standard smartgears

service.

It requires a config.properties file in 

tomcat/webapps/gcat/WEB-INF/classes/

I'll provide you the file template

Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/D

4Research/AGINFRAplusDev

  

Description

gCat is the new gCube Catalogue Service (it will replace the old catalogue-ws).

For a certain period, we will have both services available.

The service is a pure RESTful service

History

#1 - Dec 05, 2018 03:28 PM - Luca Frosini

I already created the skeleton playbook for gcat service.

#2 - Dec 05, 2018 05:54 PM - Luca Frosini

I have fixed the playbook of gcat service as suggested by @andrea.dellamico@isti.cnr.it 

#3 - Dec 05, 2018 06:59 PM - Andrea Dell'Amico

- Applications context path updated

Please add the vault file with the token into ansible-playbooks/d4science-ghn-cluster/group_vars/gcat_prod/vault-file.yml (the directory does not exist

yet, it must be created). I'll take care of the rest of the configuration.

#4 - Dec 06, 2018 10:28 AM - Luca Frosini

Andrea Dell'Amico wrote:
Please add the vault file with the token into ansible-playbooks/d4science-ghn-cluster/group_vars/gcat_prod/vault-file.yml (the directory does not

exist yet, it must be created). I'll take care of the rest of the configuration.

 I did it

#5 - Dec 06, 2018 05:31 PM - Andrea Dell'Amico

- RAM changed from 2 to 4

#6 - Dec 06, 2018 06:49 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 30

gcat.d4science.org running, to be provisioned.

#7 - Dec 07, 2018 03:43 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

The service is up.

#8 - Dec 07, 2018 03:59 PM - Luca Frosini

I'm going to test it. Thank you

#9 - Dec 07, 2018 04:49 PM - Luca Frosini

@andrea.dellamico@isti.cnr.it I forget to ask to allow gcat.d4science.org host to be able to connect to the postgres database "ckan_prod_aginfra"

#10 - Dec 07, 2018 04:57 PM - Luca Frosini

You can use this REST API for Nagis Check:

GET/HEAD https://gcat.d4science.org/gcat/profiles

#11 - Dec 07, 2018 04:58 PM - Luca Frosini

Also 

OPTIONS https://gcat.d4science.org/gcat/profiles

 which should be faster

#12 - Dec 07, 2018 05:08 PM - Andrea Dell'Amico

The nagios check can only run GET or POST checks, at least the version that we run right now.

#13 - Dec 07, 2018 05:15 PM - Andrea Dell'Amico

Luca Frosini wrote:

@andrea.dellamico@isti.cnr.it I forget to ask to allow gcat.d4science.org host to be able to connect to the postgres database

"ckan_prod_aginfra"

 Done. Can you check?

#14 - Dec 07, 2018 05:16 PM - Luca Frosini

It seems working now. Thanks a lot

#15 - Dec 07, 2018 05:17 PM - Luca Frosini

Do I have to close the ticket, or do you want to leave it as is until you add the Nagios Check?

#16 - Dec 07, 2018 05:40 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

I just added the nagios check too.
